Package org.eclipse.mat.ui.internal.panes

# Class TextViewPane

java.lang.Object
org.eclipse.mat.ui.editor.AbstractEditorPane
org.eclipse.mat.ui.internal.panes.TextViewPane

All Implemented Interfaces:
  `IAdaptable`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

public class TextViewPane extends AbstractEditorPane

## Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`TextViewPane()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contributeToToolBar(IToolBarManager manager)`
`void`
`createPartControl(Composite parent)`
`String`
`getTitle()`
`Image`
`getTitleImage()`
`void`
`initWithArgument(Object param)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleToolTip, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextViewPane

public TextViewPane()

## Method Details

### createPartControl

public void createPartControl(Composite parent)

### contributeToToolBar

public void contributeToToolBar(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `AbstractEditorPane`
Parameters:
  `manager` -

### initWithArgument

public void initWithArgument(Object param)

Overrides:
  `initWithArgument` in class `AbstractEditorPane`
Parameters:
  `param` -

### getTitle

public String getTitle()

### getTitleImage

public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `AbstractEditorPane`